Skip to main content
POST
List contracts associated with a package

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

Max number of results that should be returned

Required range: 1 <= x <= 100
next_page
string

Cursor that indicates where the next page of results should start.

Body

application/json

Package ID and optional filters

package_id
string<uuid>
required
starting_at
string<date-time>

Optional RFC 3339 timestamp. Only include contracts that started on or after this date. This cannot be provided if covering_date filter is provided.

covering_date
string<date-time>

Optional RFC 3339 timestamp. Only include contracts active on the provided date. This cannot be provided if starting_at filter is provided.

include_archived
boolean

Default false. Determines whether to include archived contracts in the results

Response

Success

data
object[]
required
next_page
string | null